<template>
  <table>
    <thead v-show="currentSettings.showColumnHeaders">
    <tr>
      <th>{{ currentSettings.headerLeftCol }}</th>
      <th>{{ currentSettings.headerRightCol }}</th>
    </tr>
    </thead>
    <tbody v-html="currentSettings.rows" :class="{'dotted': currentSettings.dottedLine}">
    </tbody>
  </table>
</template>

<script>
module.exports = {
  name: "mirros-widget-data-table",
  props: {
    currentSettings: {
      type: Object,
      required: true,
    },
    currentDimensions: {
      type: Object,
      required: true
    },
    currentStyles: {
      type: Object,
      required: true
    },
    sourcesConfigured: {
      type: Boolean,
      required: false
    },
    records: {
      type: Array,
      required: false
    },
    language: {
      type: String,
      required: true
    },
    locale: {
      type: String,
      required: true
    },
    backendUrl: {
      type: String,
      required: true
    },
    fetchAsset: {
      type: Function,
      required: false
    }
  },
  locales: {
    /*
      enGb: {
      },
          deDe: {
      },
          frFr: {
      },
          esEs: {
      },
          plPl: {
      },
          koKr: {
      }

    */
  }
}
</script>
<style scoped>
table {
  width: 100%;
  border-collapse: collapse;
}

tr:nth-child(even) {
  font-size: smaller;
  height: 2.5em;
  vertical-align: top;
}

td:last-of-type, th:last-of-type {
  text-align: right;
}

.dotted tr:nth-child(odd) {
  border-bottom: 1px dotted currentColor;
}
</style>
